<template>
  <div>
    <div class="pt-5">
      <div class="pt-5 container">
        <div class="pt-5">
          <b-row>
            <!-- align-v="center" -->
            <b-col cols="3" offset-md="2">
              <img src="../../public/icons/email2.png" class="envelope">
               <b-alert
                :show="dismissCountDown"
                variant="success"
                @dismissed="dismissCountDown=0"
                @dismiss-count-down="countDownChanged"
              ><h4>Message sent! <i class="far fa-smile"></i> </h4>
                <p>I'll be in touch with you soon..</p>
              </b-alert>
            </b-col>
            <b-col cols="5">
              <b-form @submit="sendEmail" @reset="onReset" v-if="show">
                <b-form-group id="input-group-1" label="Email address:" label-for="input-1"
                  description="I will never share your info with anyone else"
                >
                  <b-form-input
                    id="input-1"
                    v-model="email"
                    name="email"
                    type="email"
                    required
                    placeholder=". . ."
                  ></b-form-input>
                </b-form-group>

                <b-form-group id="input-group-2" label="Your Name:" label-for="input-2">
                  <b-form-input
                    id="input-2"
                    v-model="name"
                    name="name"
                    required
                    placeholder=". . ."
                  ></b-form-input>
                </b-form-group>

                <b-form-group id="input-group-3" label="Your Phone:" label-for="input-3">
                  <b-form-input
                    id="input-3"
                    v-model="phone"
                    name="phone"
                    placeholder="123 . ."
                  ></b-form-input>
                </b-form-group>

                <b-form-group label="Description:" label-for="input-4" id="input-group-4">
                  <b-form-textarea
                    id="input-4"
                    v-model="message"
                    name="message"
                    placeholder=". . ."
                    required
                    rows="3"
                    max-rows="6"
                  ></b-form-textarea>
                </b-form-group>

                <b-button class="btn-red mr-4" type="submit" variant="primary">Submit</b-button>
                <b-button class="btn-border" type="reset" variant="danger">Reset</b-button>
              </b-form>
              <br>
            </b-col>
          </b-row>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import emailjs from 'emailjs-com'
export default {
  data() {
    return {
      email: '',
      name: '',
      phone: '',
      message: '',
      show: true,
      dismissSecs: 8,
      dismissCountDown: 0,
      showDismissibleAlert: false
    }
  },
  methods: {
    sendEmail: function(e) {
      e.preventDefault()
      emailjs.sendForm('made_with_love','formtwo', e.target, 'user_lwocM5YEHFAgOY6UI6Mdv')
        .then((response) => {
          console.log('success', response.status, response.text)
          }, (error) => {
          console.log('FAILED...', error);
        })
        .then(() => {
          this.showAlert()
        })
    },
    onReset(evt) {
      evt.preventDefault()
      // Reset our form values
      this.email = ''
      this.name = ''
      this.phone = ''
      this.message = ''
      // Trick to reset/clear native browser form validation state
      this.show = false
      this.$nextTick(() => {
        this.show = true
      })
    },
    // alert
    countDownChanged(dismissCountDown) {
      this.dismissCountDown = dismissCountDown
    },
    showAlert() {
      //alert
      this.dismissCountDown = this.dismissSecs
      //clear form
      this.email = ''
      this.name = ''
      this.phone = ''
      this.message = ''
    }
  }
};
</script>

<style scoped>
.envelope {
  height: 200px;
}
.fa-smile {
  color: #e86f68
}
</style>
